Debian Bug report logs - #530166
pvpgn: bashism in /bin/sh script

version graph

Package: pvpgn; Maintainer for pvpgn is Radu Spineanu <radu@debian.org>; Source for pvpgn is src:pvpgn.

Reported by: Raphael Geissert <atomo64@gmail.com>

Date: Sat, 23 May 2009 06:54:13 UTC

Severity: important

Tags: patch

Found in version pvpgn/1.8.1-2

Fixed in version pvpgn/1.8.1-2.1

Done: Jari Aalto <jari.aalto@cante.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Radu Spineanu <radu@debian.org>:
Bug#530166; Package pvpgn. (Sat, 23 May 2009 06:54:15 GMT) Full text and rfc822 format available.

Message #3 received at maintonly@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: maintonly@bugs.debian.org
Subject: pvpgn: bashism in /bin/sh script
Date: Sat, 23 May 2009 01:49:50 -0500
Package: pvpgn
Severity: important
Version: 1.8.1-2
User: debian-release@lists.debian.org
Usertags: goal-dash

Hello maintainer,

While performing an archive wide checkbashisms (from the 'devscripts' package)
check I've found your package containing a /bin/sh script making use
of a bashism.

checkbashisms' output:
> possible bashism in ./usr/sbin/pvpgn-support-installer line 108 (echo -e):
>		  echo -e "\n\nThe archive has been saved as
> /var/lib/pvpgn/pvpgn-support-1.0.tar.gz"
> possible bashism in ./etc/init.d/pvpgn line 33 (echo -e):
>		  echo -e "\nYou are missing the pvpgn support files and
> daemon will not start without them."


Not using bash (or a Debian Policy conformant shell interpreter which doesn't
provide such an extra feature) as /bin/sh is likely to lead to errors or
unexpected behaviours.
Please be aware that although bash is currently the default /bin/sh there was
a release goal for Lenny to make dash the default /bin/sh[1], and has been
proposed for squeeze as well[2].

If you want more information about dash as /bin/sh, you can read:
http://lists.debian.org/debian-release/2008/01/msg00189.html

For more information supporting this goal please refer to Debian Policy,
section 10.4, at:
http://www.debian.org/doc/debian-policy/ch-files.html#s-scripts

Hints about how to fix bashisms:
Sometimes these bugs are already fixed in Ubuntu, look at the PTS.
If not already fixed you can read:
https://wiki.ubuntu.com/DashAsBinSh

If you still don't know how to fix the bashisms don't hesitate to reply to
this email, or tag the bug as 'help'.

[1]http://release.debian.org/lenny/goals.txt
[2]http://lists.debian.org/debian-release/2009/04/msg00133.html

Thank you,
Raphael Geissert




Information forwarded to debian-bugs-dist@lists.debian.org, Radu Spineanu <radu@debian.org>:
Bug#530166; Package pvpgn. (Tue, 16 Mar 2010 05:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Prach Pongpanich <prachpub@gmail.com>:
Extra info received and forwarded to list. Copy sent to Radu Spineanu <radu@debian.org>. (Tue, 16 Mar 2010 05:18:06 GMT) Full text and rfc822 format available.

Message #8 received at 530166@bugs.debian.org (full text, mbox):

From: Prach Pongpanich <prachpub@gmail.com>
To: 530166@bugs.debian.org, control@bugs.debian.org
Subject: fix bashism
Date: Tue, 16 Mar 2010 12:15:45 +0700
[Message part 1 (text/plain, inline)]
tags 530166 + patch
thanks

Hi,

I prepared patch for bashism bug.

-- 
ปรัชญ์ พงษ์พานิช

Prach Pongpanich

http://prach-public.blogspot.com
[Message part 2 (text/html, inline)]
[patch.diff (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Prach Pongpanich <prachpub@gmail.com> to control@bugs.debian.org. (Tue, 16 Mar 2010 05:18:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Radu Spineanu <radu@debian.org>:
Bug#530166; Package pvpgn. (Tue, 16 Mar 2010 06:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Prach Pongpanich <prachpub@gmail.com>:
Extra info received and forwarded to list. Copy sent to Radu Spineanu <radu@debian.org>. (Tue, 16 Mar 2010 06:42:03 GMT) Full text and rfc822 format available.

Message #15 received at 530166@bugs.debian.org (full text, mbox):

From: Prach Pongpanich <prachpub@gmail.com>
To: 530166@bugs.debian.org
Subject: Re: fix bashism
Date: Tue, 16 Mar 2010 13:37:55 +0700
[Message part 1 (text/plain, inline)]
Hi,

this patch, cleaned by checkbashism.

Regards


On Tue, Mar 16, 2010 at 12:15 PM, Prach Pongpanich <prachpub@gmail.com>wrote:

> tags 530166 + patch
> thanks
>
> Hi,
>
> I prepared patch for bashism bug.
>
> --
> ปรัชญ์ พงษ์พานิช
>
> Prach Pongpanich
>
> http://prach-public.blogspot.com
>



-- 
ปรัชญ์ พงษ์พานิช

Prach Pongpanich

http://prach-public.blogspot.com
[Message part 2 (text/html, inline)]
[530166.diff (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Radu Spineanu <radu@debian.org>:
Bug#530166; Package pvpgn. (Thu, 21 Oct 2010 10:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jari.aalto@cante.net:
Extra info received and forwarded to list. Copy sent to Radu Spineanu <radu@debian.org>. (Thu, 21 Oct 2010 10:30:03 GMT) Full text and rfc822 format available.

Message #20 received at 530166@bugs.debian.org (full text, mbox):

From: jari.aalto@cante.net
To: 530166@bugs.debian.org
Subject: Bug#530166 pvpgn: NMU diff for 1.8.1-2.1
Date: Thu, 21 Oct 2010 13:27:35 +0300
[Message part 1 (text/plain, inline)]
Dear maintainer,

I have some free time and I'm offering help.

Here is the NMU diff according to DevRef 5.11.1[1][2] for bug: #530166
with other Lintian fixes according to newest policy standard.

Please let me know if it is ok to proceed with the NMU. Feel free to
contact if you have any questions.

Thank you for maintaining the package,
Jari Aalto

[1] http://www.debian.org/doc/developers-reference/pkgs.html#nmu
[2] http://dep.debian.net/deps/dep1.html

lsdiff(1) of changes:

    pvpgn-1.8.1/debian/compat
    pvpgn-1.8.1/debian/copyright
    pvpgn-1.8.1/debian/control
    pvpgn-1.8.1/debian/README.Debian
    pvpgn-1.8.1/debian/changelog
    pvpgn-1.8.1/debian/postinst
    pvpgn-1.8.1/debian/pvpgn-support-installer
    pvpgn-1.8.1/debian/init.d

[pvpgn_1.8.1-2--1.8.1-2.1.deb.diff (text/x-diff, inline)]
diffstat for pvpgn_1.8.1-2 pvpgn_1.8.1-2.1

 README.Debian           |    5 +----
 changelog               |   25 +++++++++++++++++++++++++
 compat                  |    2 +-
 control                 |    7 ++++---
 copyright               |   42 +++++++++++++++++++++++++++++++-----------
 init.d                  |   15 ++++++++-------
 postinst                |    4 +++-
 pvpgn-support-installer |   11 ++++++-----
 8 files changed, 79 insertions(+), 32 deletions(-)

diff -u pvpgn-1.8.1/debian/compat pvpgn-1.8.1/debian/compat
--- pvpgn-1.8.1/debian/compat
+++ pvpgn-1.8.1/debian/compat
@@ -1 +1 @@
-4
+8
diff -u pvpgn-1.8.1/debian/copyright pvpgn-1.8.1/debian/copyright
--- pvpgn-1.8.1/debian/copyright
+++ pvpgn-1.8.1/debian/copyright
@@ -1,18 +1,38 @@
-This package was debianized by Robert Millan <rmh@debian.org> on
-Sun, 28 Dec 2003 19:06:22 +0100.
+This package was debianized by:
 
-It was downloaded from: http://pvpgn.berlios.de/index.php?page=files
+    Robert Millan <rmh@debian.org>
+    on 2003-12-28 19:06:22 +0100 Sun.
 
-Upstream Authors: the Bnetd project and others, see file CREDITS.
+It was downloaded from:
+
+    http://pvpgn.berlios.de/index.php?page=files
+    http://developer.berlios.de/projects/pvpgn
+    http://pvpgn.org/
+
+    The zlib code is not used in the debian package of pvpgn. zlib is
+    licensed under the BSD license.
+
+Upstream Authors:
+
+    The Bnetd project and others, see file CREDITS.
 
 Copyright:
 
-You are free to distribute this software under the terms of
-the GNU General Public License.
-On Debian systems, the complete text of the GNU General
-Public License can be found in /usr/share/common-licenses/GPL file.
+    Copyright (C) 2004-2010 The Bnetd project and others, see file CREDITS.
 
-zlib is licensed under the BSD license. For further information please 
-see /usr/share/common-licenses/BSD. 
-The zlib code is not used in the debian package of pvpgn.
+License:
 
+    This package is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License version 2 as
+    published by the Free Software Foundation.
+
+    This package is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in "/usr/share/common-licenses/GPL-2".
diff -u pvpgn-1.8.1/debian/control pvpgn-1.8.1/debian/control
--- pvpgn-1.8.1/debian/control
+++ pvpgn-1.8.1/debian/control
@@ -2,12 +2,13 @@
 Section: contrib/net
 Priority: optional
 Maintainer: Radu Spineanu <radu@debian.org>
-Build-Depends: cdbs (>= 0.4.22-1.1), debhelper (>= 4.1.0), libmysqlclient15-dev | libmysqlclient-dev, libpq-dev, autoconf, autotools-dev, zlib1g-dev
-Standards-Version: 3.7.2
+Build-Depends: cdbs (>= 0.4.22-1.1), debhelper (>= 8), libmysqlclient15-dev | libmysqlclient-dev, libpq-dev, autoconf, autotools-dev, zlib1g-dev
+Standards-Version: 3.9.1
+Homepage: http://freshmeat.net/projects/pvpgn
 
 Package: pvpgn
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: bnetd
 Provides: bnetd
 Suggests: fortune
diff -u pvpgn-1.8.1/debian/README.Debian pvpgn-1.8.1/debian/README.Debian
--- pvpgn-1.8.1/debian/README.Debian
+++ pvpgn-1.8.1/debian/README.Debian
@@ -6,7 +6,7 @@
 
 --
 In order to function correctly with Blizzard games, pvpgn needs some
-aditional files. These files are taken verbatim from the Battle.Net servers,
+additional files. These files are taken verbatim from the Battle.Net servers,
 in violation with Blizzard's Terms of Use. Use at your own risk.
 
 To download the files, you can either use pvpgn-support-installer which 
@@ -17,3 +16,0 @@
-
-
-
diff -u pvpgn-1.8.1/debian/changelog pvpgn-1.8.1/debian/changelog
--- pvpgn-1.8.1/debian/changelog
+++ pvpgn-1.8.1/debian/changelog
@@ -1,3 +1,28 @@
+pvpgn (1.8.1-2.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * debian/compat
+    - Update deprecated 5 to 8.
+  * debian/control
+    - (Depends): Update deprecated debhelper 4 to 8.
+    - (Homepage): New.
+    - (Standards-Version): Update to 3.9.1.
+    - (pvpgn::Depends): Add ${misc:Depends}.
+  * debian/copyright
+    - Update layout. Add FSF License preamble.
+  * debian/{init.d,pvpgn-support-installer}
+    - Fix bashism, patch idea thanks to Prach Pongpanich <prachpub@gmail.com>
+      with the exception that use plain echo.
+      (Closes: #530166).
+    - Clean up extra whitespaces. Move "set -e" and variable definitions
+      to the beginning of file. Prefer POSIX $(<command substitution>).
+  * debian/postinst
+    - Change "sh -e" to safer "set -e".
+  * debian/README.Debian
+    - Fix spelling typo.
+
+ -- Jari Aalto <jari.aalto@cante.net>  Thu, 21 Oct 2010 13:22:46 +0300
+
 pvpgn (1.8.1-2) unstable; urgency=low
 
   * Move the downloaded archive to /var/lib/pvpgn instead of /tmp.(doh)
diff -u pvpgn-1.8.1/debian/postinst pvpgn-1.8.1/debian/postinst
--- pvpgn-1.8.1/debian/postinst
+++ pvpgn-1.8.1/debian/postinst
@@ -1,4 +1,6 @@
-#!/bin/sh -e
+#!/bin/sh
+
+set -e
 
 #
 # Skip, if we are not in "configure" state
diff -u pvpgn-1.8.1/debian/pvpgn-support-installer pvpgn-1.8.1/debian/pvpgn-support-installer
--- pvpgn-1.8.1/debian/pvpgn-support-installer
+++ pvpgn-1.8.1/debian/pvpgn-support-installer
@@ -7,6 +7,8 @@
 # Public License, version 2 or later.
 #
 
+SUPPORT_PATH="http://download.berlios.de/pvpgn/pvpgn-support-1.0.tar.gz"
+
 usage() 
 {
 	echo "usage: pvpgn-support-installer [options]"
@@ -17,9 +19,6 @@
 		-h		-- this message"
 }
 
-SUPPORT_PATH="http://download.berlios.de/pvpgn/pvpgn-support-1.0.tar.gz"
-
-
 # look through input arguments
 until [ -z "$1" ]; do
 	case $1 in
@@ -79,7 +78,7 @@
 
 # create a temporary work directory
 echo "Creating temporary working directory..."
-TMPDIR=`mktemp -d -t pvpgn.XXXXXX` || exit 1
+TMPDIR=$(mktemp -d -t pvpgn.XXXXXX) || exit 1
 cd $TMPDIR
 
 # get the archive
@@ -105,7 +104,9 @@
 	echo "Removing temporary directory.."
 	rm -rf $TMPDIR
 	if [ ! "$OFFLINE_PATH" ]; then
-		echo -e "\n\nThe archive has been saved as /var/lib/pvpgn/pvpgn-support-1.0.tar.gz"
+		echo
+		echo
+		echo "The archive has been saved as /var/lib/pvpgn/pvpgn-support-1.0.tar.gz"
 		echo "Use pvpgn-support-installer with the -l flag if you need to reinstall"
 	fi
 fi
diff -u pvpgn-1.8.1/debian/init.d pvpgn-1.8.1/debian/init.d
--- pvpgn-1.8.1/debian/init.d
+++ pvpgn-1.8.1/debian/init.d
@@ -13,6 +13,12 @@
 # Short-Description: Gaming server that emulates Battle.net(R)
 ### END INIT INFO
 
+set -e
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/bnetd
+NAME=bnetd
+DESC="bnetd daemon"
 
 # checks for the pvpgn support files
 check_support() 
@@ -30,21 +36,16 @@
 	done
 
 	if [ "$START" = "0" ]; then
-		echo -e "\nYou are missing the pvpgn support files and daemon will not start without them."
+		echo
+		echo "You are missing the pvpgn support files and daemon will not start without them."
 		echo "Run pvpgn-support-installer or read /usr/share/doc/pvpgn/README.Debian"		      
 		exit 0
 	fi
 
 }
 
-PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
-DAEMON=/usr/sbin/bnetd
-NAME=bnetd
-DESC="bnetd daemon"
-
 test -x $DAEMON || exit 0
 
-set -e
 case "$1" in
   start)
 	check_support

Information forwarded to debian-bugs-dist@lists.debian.org, Radu Spineanu <radu@debian.org>:
Bug#530166; Package pvpgn. (Tue, 26 Oct 2010 05:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to tony mancill <tmancill@debian.org>:
Extra info received and forwarded to list. Copy sent to Radu Spineanu <radu@debian.org>. (Tue, 26 Oct 2010 05:24:03 GMT) Full text and rfc822 format available.

Message #25 received at 530166@bugs.debian.org (full text, mbox):

From: tony mancill <tmancill@debian.org>
To: 530166@bugs.debian.org, 578011@bugs.debian.org, 578013@bugs.debian.org
Subject: pvpgn: diff for NMU version 1.8.1-2.1
Date: Mon, 25 Oct 2010 22:20:19 -0700
tags 530166 + pending
tags 578011 + patch
tags 578011 + pending
tags 578013 + patch
tags 578013 + pending
thanks

Dear maintainer,

I've sponsored an NMU for pvpgn (versioned as 1.8.1-2.1) and
uploaded it to DELAYED/14. Please feel free to tell me if I
should delay it longer or remove it from the queue.

Regards,
tony

diff -u pvpgn-1.8.1/d2dbs.8 pvpgn-1.8.1/d2dbs.8
--- pvpgn-1.8.1/d2dbs.8
+++ pvpgn-1.8.1/d2dbs.8
@@ -3,14 +3,14 @@
 d2dbs \(em Program needed to host Diablo II open and closed servers 
 .SH "SYNOPSIS" 
 .TP 8 
-\fBd2cs\fR [\fB\-m\fR \fIfile\fR]  [\fB\-c\fR \fIfile\fR]  [\fB\-l\fR \fI file\fR]  [\fB\-h\fR] [\fB\-v\fR]  [\fB\-f\fR]  [\fB\-D\fR]    
+\fBd2dbs\fR [\fB\-m\fR \fIfile\fR]  [\fB\-c\fR \fIfile\fR]  [\fB\-l\fR \fI file\fR]  [\fB\-h\fR] [\fB\-v\fR]  [\fB\-f\fR]  [\fB\-D\fR]    
 .br
 .SH "DESCRIPTION" 
 .PP 
 This manual page documents briefly the 
-\fBd2cs\fR command. 
+\fBd2dbs\fR command. 
 .PP 
-d2cs handles the ladder updating component of Diablo II closed realm servers.
+d2dbs handles the ladder updating component of Diablo II closed realm servers.
 .SH "OPTIONS" 
 .TP
 \fB\-m\fR \fIfile
diff -u pvpgn-1.8.1/debian/init.d pvpgn-1.8.1/debian/init.d
--- pvpgn-1.8.1/debian/init.d
+++ pvpgn-1.8.1/debian/init.d
@@ -13,6 +13,12 @@
 # Short-Description: Gaming server that emulates Battle.net(R)
 ### END INIT INFO
 
+set -e
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/bnetd
+NAME=bnetd
+DESC="bnetd daemon"
 
 # checks for the pvpgn support files
 check_support() 
@@ -30,21 +36,16 @@
 	done
 
 	if [ "$START" = "0" ]; then
-		echo -e "\nYou are missing the pvpgn support files and daemon will not start without them."
+		echo
+		echo "You are missing the pvpgn support files and daemon will not start without them."
 		echo "Run pvpgn-support-installer or read /usr/share/doc/pvpgn/README.Debian"		      
 		exit 0
 	fi
 
 }
 
-PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
-DAEMON=/usr/sbin/bnetd
-NAME=bnetd
-DESC="bnetd daemon"
-
 test -x $DAEMON || exit 0
 
-set -e
 case "$1" in
   start)
 	check_support
diff -u pvpgn-1.8.1/debian/postinst pvpgn-1.8.1/debian/postinst
--- pvpgn-1.8.1/debian/postinst
+++ pvpgn-1.8.1/debian/postinst
@@ -1,4 +1,6 @@
-#!/bin/sh -e
+#!/bin/sh
+
+set -e
 
 #
 # Skip, if we are not in "configure" state
diff -u pvpgn-1.8.1/debian/copyright pvpgn-1.8.1/debian/copyright
--- pvpgn-1.8.1/debian/copyright
+++ pvpgn-1.8.1/debian/copyright
@@ -1,18 +1,38 @@
-This package was debianized by Robert Millan <rmh@debian.org> on
-Sun, 28 Dec 2003 19:06:22 +0100.
+This package was debianized by:
 
-It was downloaded from: http://pvpgn.berlios.de/index.php?page=files
+    Robert Millan <rmh@debian.org>
+    on 2003-12-28 19:06:22 +0100 Sun.
 
-Upstream Authors: the Bnetd project and others, see file CREDITS.
+It was downloaded from:
+
+    http://pvpgn.berlios.de/index.php?page=files
+    http://developer.berlios.de/projects/pvpgn
+    http://pvpgn.org/
+
+    The zlib code is not used in the debian package of pvpgn. zlib is
+    licensed under the BSD license.
+
+Upstream Authors:
+
+    The Bnetd project and others, see file CREDITS.
 
 Copyright:
 
-You are free to distribute this software under the terms of
-the GNU General Public License.
-On Debian systems, the complete text of the GNU General
-Public License can be found in /usr/share/common-licenses/GPL file.
+    Copyright (C) 2004-2010 The Bnetd project and others, see file CREDITS.
 
-zlib is licensed under the BSD license. For further information please 
-see /usr/share/common-licenses/BSD. 
-The zlib code is not used in the debian package of pvpgn.
+License:
 
+    This package is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License version 2 as
+    published by the Free Software Foundation.
+
+    This package is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in "/usr/share/common-licenses/GPL-2".
diff -u pvpgn-1.8.1/debian/README.Debian pvpgn-1.8.1/debian/README.Debian
--- pvpgn-1.8.1/debian/README.Debian
+++ pvpgn-1.8.1/debian/README.Debian
@@ -6,7 +6,7 @@
 
 --
 In order to function correctly with Blizzard games, pvpgn needs some
-aditional files. These files are taken verbatim from the Battle.Net servers,
+additional files. These files are taken verbatim from the Battle.Net servers,
 in violation with Blizzard's Terms of Use. Use at your own risk.
 
 To download the files, you can either use pvpgn-support-installer which 
@@ -17,3 +16,0 @@
-
-
-
diff -u pvpgn-1.8.1/debian/changelog pvpgn-1.8.1/debian/changelog
--- pvpgn-1.8.1/debian/changelog
+++ pvpgn-1.8.1/debian/changelog
@@ -1,3 +1,32 @@
+pvpgn (1.8.1-2.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * debian/compat
+    - Update deprecated 5 to 8.
+  * debian/control
+    - (Depends): Update deprecated debhelper 4 to 8.
+    - (Homepage): New.
+    - (Standards-Version): Update to 3.9.1.
+    - pvpgn
+      + (Depends): Add ${misc:Depends}.
+      + (Suggests): Add mysql-server-5.1 (Closes: #578011).
+  * debian/copyright
+    - Update layout. Add FSF License preamble.
+  * debian/{init.d,pvpgn-support-installer}
+    - Fix bashism, patch idea thanks to Prach Pongpanich <prachpub@gmail.com>
+      with the exception that use plain echo.
+      (Closes: #530166).
+    - Clean up extra whitespaces. Move "set -e" and variable definitions
+      to the beginning of file. Prefer POSIX $(<command substitution>).
+  * debian/postinst
+    - Change "sh -e" to safer "set -e".
+  * debian/README.Debian
+    - Fix spelling typo.
+  * d2dbs.8
+    - Change d2cs occurrences to d2dbs (Closes: #578013).
+
+ -- Jari Aalto <jari.aalto@cante.net>  Mon, 25 Oct 2010 13:50:00 +0300
+
 pvpgn (1.8.1-2) unstable; urgency=low
 
   * Move the downloaded archive to /var/lib/pvpgn instead of /tmp.(doh)
diff -u pvpgn-1.8.1/debian/pvpgn-support-installer pvpgn-1.8.1/debian/pvpgn-support-installer
--- pvpgn-1.8.1/debian/pvpgn-support-installer
+++ pvpgn-1.8.1/debian/pvpgn-support-installer
@@ -7,6 +7,8 @@
 # Public License, version 2 or later.
 #
 
+SUPPORT_PATH="http://download.berlios.de/pvpgn/pvpgn-support-1.0.tar.gz"
+
 usage() 
 {
 	echo "usage: pvpgn-support-installer [options]"
@@ -17,9 +19,6 @@
 		-h		-- this message"
 }
 
-SUPPORT_PATH="http://download.berlios.de/pvpgn/pvpgn-support-1.0.tar.gz"
-
-
 # look through input arguments
 until [ -z "$1" ]; do
 	case $1 in
@@ -79,7 +78,7 @@
 
 # create a temporary work directory
 echo "Creating temporary working directory..."
-TMPDIR=`mktemp -d -t pvpgn.XXXXXX` || exit 1
+TMPDIR=$(mktemp -d -t pvpgn.XXXXXX) || exit 1
 cd $TMPDIR
 
 # get the archive
@@ -105,7 +104,9 @@
 	echo "Removing temporary directory.."
 	rm -rf $TMPDIR
 	if [ ! "$OFFLINE_PATH" ]; then
-		echo -e "\n\nThe archive has been saved as /var/lib/pvpgn/pvpgn-support-1.0.tar.gz"
+		echo
+		echo
+		echo "The archive has been saved as /var/lib/pvpgn/pvpgn-support-1.0.tar.gz"
 		echo "Use pvpgn-support-installer with the -l flag if you need to reinstall"
 	fi
 fi
diff -u pvpgn-1.8.1/debian/control pvpgn-1.8.1/debian/control
--- pvpgn-1.8.1/debian/control
+++ pvpgn-1.8.1/debian/control
@@ -2,15 +2,16 @@
 Section: contrib/net
 Priority: optional
 Maintainer: Radu Spineanu <radu@debian.org>
-Build-Depends: cdbs (>= 0.4.22-1.1), debhelper (>= 4.1.0), libmysqlclient15-dev | libmysqlclient-dev, libpq-dev, autoconf, autotools-dev, zlib1g-dev
-Standards-Version: 3.7.2
+Build-Depends: cdbs (>= 0.4.22-1.1), debhelper (>= 8), libmysqlclient15-dev | libmysqlclient-dev, libpq-dev, autoconf, autotools-dev, zlib1g-dev
+Standards-Version: 3.9.1
+Homepage: http://freshmeat.net/projects/pvpgn
 
 Package: pvpgn
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: bnetd
 Provides: bnetd
-Suggests: fortune
+Suggests: fortune, mysql-server-5.1
 Description: Gaming server that emulates Battle.net(R)
  The server currently implements most of the same functionality as the
  real Battle.net(R) servers from Blizzard Entertainment.  You can chat,
diff -u pvpgn-1.8.1/debian/compat pvpgn-1.8.1/debian/compat
--- pvpgn-1.8.1/debian/compat
+++ pvpgn-1.8.1/debian/compat
@@ -1 +1 @@
-4
+8




Added tag(s) pending. Request was from tony mancill <tmancill@debian.org> to control@bugs.debian.org. (Tue, 26 Oct 2010 05:24:08 GMT) Full text and rfc822 format available.

Reply sent to Jari Aalto <jari.aalto@cante.net>:
You have taken responsibility. (Tue, 09 Nov 2010 06:06:03 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <atomo64@gmail.com>:
Bug acknowledged by developer. (Tue, 09 Nov 2010 06:06:03 GMT) Full text and rfc822 format available.

Message #32 received at 530166-close@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 530166-close@bugs.debian.org
Subject: Bug#530166: fixed in pvpgn 1.8.1-2.1
Date: Tue, 09 Nov 2010 06:02:07 +0000
Source: pvpgn
Source-Version: 1.8.1-2.1

We believe that the bug you reported is fixed in the latest version of
pvpgn, which is due to be installed in the Debian FTP archive:

pvpgn_1.8.1-2.1.diff.gz
  to contrib/p/pvpgn/pvpgn_1.8.1-2.1.diff.gz
pvpgn_1.8.1-2.1.dsc
  to contrib/p/pvpgn/pvpgn_1.8.1-2.1.dsc
pvpgn_1.8.1-2.1_i386.deb
  to contrib/p/pvpgn/pvpgn_1.8.1-2.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 530166@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jari Aalto <jari.aalto@cante.net> (supplier of updated pvpgn package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 25 Oct 2010 13:50:00 +0300
Source: pvpgn
Binary: pvpgn
Architecture: source i386
Version: 1.8.1-2.1
Distribution: unstable
Urgency: low
Maintainer: Radu Spineanu <radu@debian.org>
Changed-By: Jari Aalto <jari.aalto@cante.net>
Description: 
 pvpgn      - Gaming server that emulates Battle.net(R)
Closes: 530166 578011 578013
Changes: 
 pvpgn (1.8.1-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/compat
     - Update deprecated 5 to 8.
   * debian/control
     - (Depends): Update deprecated debhelper 4 to 8.
     - (Homepage): New.
     - (Standards-Version): Update to 3.9.1.
     - pvpgn
       + (Depends): Add ${misc:Depends}.
       + (Suggests): Add mysql-server-5.1 (Closes: #578011).
   * debian/copyright
     - Update layout. Add FSF License preamble.
   * debian/{init.d,pvpgn-support-installer}
     - Fix bashism, patch idea thanks to Prach Pongpanich <prachpub@gmail.com>
       with the exception that use plain echo.
       (Closes: #530166).
     - Clean up extra whitespaces. Move "set -e" and variable definitions
       to the beginning of file. Prefer POSIX $(<command substitution>).
   * debian/postinst
     - Change "sh -e" to safer "set -e".
   * debian/README.Debian
     - Fix spelling typo.
   * d2dbs.8
     - Change d2cs occurrences to d2dbs (Closes: #578013).
Checksums-Sha1: 
 d724110b0d486751a6812a6c6852cca893b005bf 1734 pvpgn_1.8.1-2.1.dsc
 77589a68a2930f028a36816dfb8097c7207ab2ee 7936 pvpgn_1.8.1-2.1.diff.gz
 ad7a0639de08a1496135f029983f5cc782dff265 772584 pvpgn_1.8.1-2.1_i386.deb
Checksums-Sha256: 
 94fafa4abc09993c295c0803177adcee6942e81080053a64847d40017e892f83 1734 pvpgn_1.8.1-2.1.dsc
 a8308280a02d0f1ed7252127239f304a2a5c41338c2c7e56c731878e3d386116 7936 pvpgn_1.8.1-2.1.diff.gz
 37c1f7af6b0fb2165dac6fed363d56939b9fa4d3ecb96641239c615d112e49b8 772584 pvpgn_1.8.1-2.1_i386.deb
Files: 
 a8badc8764854e409f96c36205e6d198 1734 contrib/net optional pvpgn_1.8.1-2.1.dsc
 e7f0a85ef452044b18e4b03b6d313d20 7936 contrib/net optional pvpgn_1.8.1-2.1.diff.gz
 5e2d23d4b24774b774bddf3eb2210137 772584 contrib/net optional pvpgn_1.8.1-2.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMxmR7AAoJECHSBYmXSz6WIssP/1DTmAiS+Lf0XJRKxrnFC1QJ
Xs/5vH5AqVuz24Wg0AshCI+Nb271Ekgk2xBkAUXfFixdkVT9guPvCYlqID1VR6Wn
7sKt8b4vzMupt2eRsUgKfLLBI+Tc3nvTVJ0N7y8/ym0EiXfIgZKxIGO9/gE5hlvc
W18c8Y+K0TifDV8d6M+mTU4Sdzi1mjSlq7bV60EFKnxQpNwLoJuspCdafC4PLpod
GgzvQOMJ7gAjNTLLaAIPkzCdoimaxMrhzo0+2wooRU2H8WDyt2pVKFaUPmAYWLtI
o1z24TVmzWEoFwz/AUAMCBD0dekwodrSD3iaSam8cdw9J4Yi9jbiGUlDLiVBcpDA
SV5oT7EKc+5OY7lg6f9SmdsyBS8V8HYiPhYAMi6l5Ybj2bCMDyxWIDEnKcEp72hz
5TW2KNiZ9FLuwkEKhnG1bBSFhpnt9GwXKJokdXWdl5+HcQrPHJFyV31yGgUgPRVn
6pBg8zMaZarjU50+spNFmSA0ctIZ9kDpV8LOtrLTXB2j0GmatnI+I5K2ZF3sB0ta
TnhRAbv9R13frJ80x+o6UrveGnSLgQi+9kyagtfMU1ud+rN5S9p8AH7H1/ssmusq
jKwLOzfu5BiabhDvy1N13LpFWsLPWNa8xhghtsR9oOA56HlZnm0/DpjW50FmuHqD
hiDTxzPjqY/eK/sYoCY1
=TXXX
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:36:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:33:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.